Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3112 - dosemu hangs accessing drive "A:"
Summary: dosemu hangs accessing drive "A:"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dosemu
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-28 10:49 UTC by paolo.saggese
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 12:33:05 UTC


Attachments (Terms of Use)

Description paolo.saggese 1999-05-28 10:49:13 UTC
Hi everybody,

	if I try to access drive A: (floppy disk drive, configured
as "treeinch" in /etc/dosemu.conf) from within dosemu, the
floppy drive LED lights up and it seems to start reading,
too, but immediately after the light goes off and dosemu
hangs.

No problems (apparently) if there is no disk in the drive:
the usual "drive not ready" message does appear. But that's
not so much useful indeed! 8-)

As a workaround, I have currently disabled dosemu internal
floppy support ($_floppy_a ="") and am accessing the floppy
disks trough LREDIR + Linux automounter (autofs).

Unfortunately, there's no way to boot dosemu from a floppy.

FYI: I'm using the same (custom built) hdimage with Caldera
Open/DR-DOS 7.2 that I was using (without any problem) with
previous versions (RH 5.2, etc), but I have tried also with
RH 6.0 supplied hdimage.freedos with the same results.


Ciao,
			Paolo.

Comment 1 Patrick W. Binning 2000-01-20 19:37:59 UTC
I had this same problem with RH6.0. I then got the new binaries for dosemu,
freedos, and xdosemu for RH6.1 and the problem not longer existed for me.

Comment 2 Bernhard Rosenkraenzer 2000-02-09 12:33:59 UTC
0.99.13-6 (Rawhide powertools) should definitely fix this (new freedos version).


Note You need to log in before you can comment on or make changes to this bug.